PolychartService
Set Layer Subscriptions
Replace caller drawing-layer subscriptions for a market.
Method
PUT
Path
/v1/polychart/markets/{engine_symbol_id}/layer-subscriptions
Visibility
Authentication
Session token or API key
MFA Requirement
Not required
PUT
/v1/polychart/markets/{engine_symbol_id}/layer-subscriptions Request
Testnet
curl --request PUT \ \
--url 'https://api.testnet.polyester.com/v1/polychart/markets/1/layer-subscriptions' \
--header 'Accept: */*' \
--header 'X-API-KEY-ID: YOUR_API_KEY_ID' \
--header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \
--header 'X-API-SIGNATURE: YOUR_API_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"subscriptions": [
{
"aliasName": "BTC Bias Line",
"engineSymbolId": 1,
"isEnabled": false,
"isLockedOverride": false,
"isPinned": false,
"isVisibleOverride": false,
"layer": {
"layerId": "1",
"ownerId": "1"
},
"sortOrder": 1,
"viewerId": "1"
}
]
}'Responses
{} engine_symbol_id integer
Engine symbol identifier for the market whose subscriptions should be replaced.
subscriptions object[]
Full replace for (viewer_id, engine_symbol_id). Server replaces all existing rows for the market with this list.
Edit in JSON
| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |